#! /bin/bash
#
# plugin
#

PATH=/sbin:/bin:/usr/sbin:/usr/bin
DAEMON=/var/bin/octagon.sh40
DESC="octagon.sh40"
NAME=octagon.sh40
USERID=root
GROUPID=root

test -x $DAEMON || exit 0

case "$1" in
  start)
        echo -n "Starting $DESC: "

				count=0
				until [ `cat /tmp/resolv.conf | grep -c nameserver` -gt 0 ] || [ $count -gt 30 ]
				do
					echo -n "Waiting ["
					sleep 1
					let count=$count+1
					echo -n $count
					echo "]"
				done
				
				if [ `cat /tmp/resolv.conf | grep -c nameserver` -gt 0 ]; then
					killall -5 octagon.sh40
					mkdir /tmp/proc1
					mount -o bind /tmp/proc1 /proc
					/var/bin/octagon.sh40 &
					sleep 1
					umount /proc
				fi
				
        ;;
  stop)
        echo -n "Stopping $DESC: "
        killall -5 octagon.sh40
        umount /proc
        echo "$NAME."
        ;;
esac

exit 0
